<bugID>746756<Summary>On first feature activation the panel should limit reported downloads</Summary><Description>I got reported that someone on first use of the panel got a list with all the downloads in the last months, that shouldn't happen, should likely limit to the last X days or so.</Description></bugID>